#
# spec file for package rrdtool (Version 1.0.33)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  perl tcl tcl-devel
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm tcl tcl-devel

Name:         rrdtool
License:      GPL
Group:        Productivity/Scientific/Math
Autoreqprov:  on
Version:      1.0.33
Release:      307
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
Patch1:       %{name}-%{version}-zlib-zfree.dif
Patch2:       libpng-1.0.9.diff
URL:          http://ee-staff.ethz.ch/~oetiker/webtools/rrdtool/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Tool for data logging and analysis

%description
Log and analyze data gathered from
all kinds of data sources. The data analysis
part of RRDtool is based on the ability to quickly
generate graphical representations of the data values
collected over a definable time period.

Authors:
--------
    Tobias Oetiker <oetiker@ee.ethz.ch>

%prep
%setup 
%patch
%patch1
%patch2

%build
%{suse_update_config -f config/}
%define prefix   /usr
%define sysconfdir /etc
libtoolize --force
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --mandir=%{_mandir} \
                                                              --prefix=%{prefix} \
                                                              --infodir=%{_infodir} \
                                                              --sysconfdir=%{sysconfdir} \
		                                              --enable-shared \
		                                              --with-gnu-ld \
		                                              --with-tcllib=/usr/lib \
		                                              %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
make DESTDIR=$RPM_BUILD_ROOT/ docdir=%{_docdir} install
make DESTDIR=$RPM_BUILD_ROOT/ site-tcl-install
make DESTDIR=$RPM_BUILD_ROOT/ site-perl-install
install -m 644 CHANGES CONTRIBUTORS COPYING COPYRIGHT NT-BUILD-TIPS.txt README TODO $RPM_BUILD_ROOT/%{_docdir}/rrdtool
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
mv $RPM_BUILD_ROOT/$installarchlib/perllocal.pod $RPM_BUILD_ROOT/var/adm/perl-modules/rrdtool
cd $RPM_BUILD_ROOT/var/adm/perl-modules/
sed s:$RPM_BUILD_ROOT/:: rrdtool > rrdtool.n
mv rrdtool.n rrdtool
cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/RRDp
sed s:$RPM_BUILD_ROOT:: .packlist | sort -u > .packlist.n
mv .packlist.n .packlist
cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/RRDs
sed s:$RPM_BUILD_ROOT:: .packlist | sort -u > .packlist.n
mv  .packlist.n .packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_docdir}/rrdtool
%doc %{_mandir}/*/*
/usr/bin/*
/usr/include/*
/usr/lib/lib*
/usr/lib/tcl*
/usr/lib/perl5/site_perl/5.*/RRDp.pm
/usr/lib/perl5/site_perl/5.*/*-linux/RRDs.pm
/usr/lib/perl5/site_perl/5.*/*-linux/ntmake.pl
/usr/lib/perl5/site_perl/5.*/*-linux/auto/RRDp
/usr/lib/perl5/site_perl/5.*/*-linux/auto/RRDs
/var/adm/perl-modules/rrdtool

%changelog -n rrdtool
* Thu Jul 29 2004 - tcrhak@suse.cz
- added libpng-1.0.9.diff fixing security holes in libpng (bug #43008)
* Fri Feb 08 2002 - draht@suse.de
- added rrdtool-1.0.33-zlib-zfree.dif against duplicate free() in
  zlib
* Thu Jun 14 2001 - adostal@suse.cz
- fix for new autoconf (add libtoolize --force)
* Wed Apr 11 2001 - cihlar@suse.cz
- updated to version 1.0.33
* Mon Mar 19 2001 - cihlar@suse.cz
- fixed call of suse_update_config
* Fri Jan 26 2001 - cihlar@suse.cz
- package created
